Subject: bug#74966: 31.0.50; Crash report (using igc on macOS)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 Dec 2024 15:28:38 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: Pip Cet <[email-masked]>,  [email-masked],
>   [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 31 Dec 2024 05:22:11 -0500
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> > I think a much simpler change is to use the sign bit to distinguish indices
> >> > into the constant vector from indices into the DOC file.
> >> 
> >> And use one's-complement, I assume, to guard against some future weird
> >> nativecomp change resulting in the index -0?  :-)
> >> 
> >> I really have no strong preference here.
> >
> > And I still want to hear from Andrea.  It's his code, so the solution
> > he prefers gets my vote.
> 
> Sorry for behing late here.
> 
> I'm for the sign bit, it saves memory (why not), and we can sanity check
> that when the bit is set the function is a non-primitve one and vice
> versa.

OK, can you post a patch (or even install it)?

Thanks.